glab(1)

NAME
glab-config-edit - Opens the glab configuration file.

SYNOPSIS
glab config edit [flags]

DESCRIPTION
Opens the glab configuration file. The command uses the following order when choosing the editor to use:

1.  'glab_editor' field in the configuration file

2.  'VISUAL' environment variable

3.  'EDITOR' environment variable

OPTIONS
-l, --local[=false]
    Open '.git/glab-cli/config.yml' file instead of the global '~/.config/glab-cli/config.yml' file.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    Open the configuration file with the default editor
    - glab config edit
    Open the configuration file with vim
    - EDITOR=vim glab config edit
    Set vim to be used for all future 'glab config edit' invocations
    - glab config set editor vim
    - glab config edit
    Open the local configuration file with the default editor
    - glab config edit -l

SEE ALSO
glab-config(1)